#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	Properties
Summary:	Scalar::Properties - run-time properties on scalar variables
Summary(pl.UTF-8):	Scalar::Properties - właściwości skalarów w trakcie wykonywania
Name:		perl-Scalar-Properties
Version:	1.100860
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scalar/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6f144203205f0a60026b82f32e51c595
URL:		http://search.cpan.org/dist/Scalar-Properties/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.11
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scalar::Properties attempts to make Perl more object-oriented by
taking an idea from Ruby: Everything you manipulate is an object, and
the results of those manipulations are objects themselves.

%description -l pl.UTF-8
Scalar::Properties próbuje dodać do Perla nieco więcej obiektowości
poprzez zaimplementowanie pomysłu z Ruby: wszystko, na czym operujesz,
jest obiektem; tak samo, jak rezultat tych manipulacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Scalar
%{perl_vendorlib}/Scalar/Properties.pm
%{_mandir}/man3/Scalar::Properties.3pm*
%changelog
* Mon Nov 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Scalar-Properties.git;a=log;h=master

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 21aad2f
- updated to 1.100860

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e64f8a6
- release 2

* Wed Jan 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 21a11b8
- generic URL

* Wed Jan 16 2008 Maciej Pijanka <agaran@pld-linux.org> 9d0b577
- up to 0.13, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 44c60ed
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ef9b5e5
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 13c7424
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> d8f6208
- spaces->tabs
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 5740bae
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 3977630
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1564bc5
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> 731d775
- license fixed, cosmetics

* Sun May 02 2004 ankry <ankry@pld-linux.org> 43f3dd2
- cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 8517751
- cosmetics, unification

* Mon Nov 10 2003 migo <migo@pld-linux.org> 028a011
- up to 0.12

* Sat Nov 08 2003 migo <migo@pld-linux.org> df010d1
- up to 0.11, added tests

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 9425182
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 9acf552
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e9efb4f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2ad8f0a
- massive attack s/pld.org.pl/pld-linux.org/

